import request from '@/utils/request'

// 查询待界定资产列表
export function listUndefined(query) {
  return request({
    url: '/asset/undefined/list',
    method: 'get',
    params: query
  })
}

// 统计查询待界定资产列表
export function statisticUndefined(query) {
  return request({
    url: '/asset/undefined/statistic',
    method: 'get',
    params: query
  })
}

// 导出待界定资产
export function exportUndefined(query) {
  return request({
    url: '/asset/undefined/export',
    method: 'get',
    params: query
  })
}

// 查询待界定资产详细
export function getUndefined(id) {
  return request({
    url: '/asset/undefined/get/' + id,
    method: 'get'
  })
}

// 新增待界定资产
export function addUndefined(data) {
  return request({
    url: '/asset/undefined/add',
    method: 'post',
    data: data
  })
}

// 修改待界定资产
export function updateUndefined(data) {
  return request({
    url: '/asset/undefined/edit',
    method: 'post',
    data: data
  })
}

// 删除待界定资产
export function delUndefined(id) {
  return request({
    url: '/asset/undefined/remove/' + id,
    method: 'get'
  })
}

